### Function

# FwupdPlugin sum16

since: 1.8.2

#### Declaration [src]

    guint16
    fu_sum16 (
      const guint8* buf,
      gsize bufsz
    )

#### Description [src]

Returns the arithmetic sum of all bytes in `buf`, adding them one byte at a time.

Available since: 1.8.2

#### Parameters

`buf`

  Type: `const guint8*`

  Memory buffer.

  The data is owned by the caller of the function.

`bufsz`

  Type: `gsize`

  Size of `buf`.

#### Return value

Type: `guint16`

Sum value.